aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/obs/data/build.sh
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2022-11-03 12:54:57 +0100
committerOliver Smith <osmith@sysmocom.de>2022-11-03 13:01:43 +0100
commit8d7596a31164c3f16ca7f5838b21b40951d6018a (patch)
tree6b063ab566a8f3607cc5ad1e83c7bb12ac98d17b /scripts/obs/data/build.sh
parent13b76cced118be670b00d364a9f8c9f701462639 (diff)
obs: build_binpkg: add --run-shell-on-error arg
Allow easy inspection of the build dir inside docker on error. Related: OS#5737 Change-Id: I218c3189d36d24c64cbd7b9eab379aff8ce2bee2
Diffstat (limited to 'scripts/obs/data/build.sh')
-rwxr-xr-xscripts/obs/data/build.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/obs/data/build.sh b/scripts/obs/data/build.sh
new file mode 100755
index 0000000..7dfbda7
--- /dev/null
+++ b/scripts/obs/data/build.sh
@@ -0,0 +1,15 @@
+#!/bin/sh -e
+
+if ! data/build_"$PACKAGEFORMAT".sh; then
+ echo
+ echo "ERROR: build failed!"
+ echo
+ if [ -n "$RUN_SHELL_ON_ERROR" ]; then
+ bash
+ fi
+ exit 1
+fi
+
+echo
+echo "Build successful!"
+echo